SchoolScout API
DistrictsDistrictidAnalyze

Scout district

Start district scouting/analysis. 6 credits for non-internal orgs when scouting locked districts.

POST
/districts/{districtId}/analyze

Start district scouting/analysis. 6 credits for non-internal orgs when scouting locked districts.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

districtId*string
Formatuuid

Request Body

application/json

website_url?string
[key: string]?unknown

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/districts/497f6eca-6276-4993-bfeb-53cbbbba6f08/analyze" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "message": "string",
  "unlocked": true,
  "scout_in_progress": true,
  "credits_charged": 0,
  "credits_remaining": 0,
  "district_id": "string",
  "hold_id": "string",
  "started_at": "string",
  "operation_key": "string",
  "property1": null,
  "property2": null
}
{
  "message": "string",
  "credits_held": 0,
  "credits_remaining": 0,
  "hold_id": "string",
  "operation_key": "string",
  "property1": null,
  "property2": null
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
{
  "error": "string",
  "message": "string",
  "balance": 0,
  "required": 0
}